Subject: Re: windfarm_fcu_controls: cpu-pump-0 <HW FAULT>

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 03 Aug 2013 18:44:53 +1000

On Sat, 2013-08-03 at 10:43 +0200, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > Can you add some more printk's in there to check what's going on inside
> > wf_fcu_get_pump_minmax() ?
> 
> All values from mpu->processor_part_num are 0xffff.
> 
> > Also is it getting faults for both pumps ?
> 
> Yes.
> 
> > Does it work with the older driver ? (both the minmax and the reading of
> > the pump).
> 
> The minmax situation is the same, but otherwise appears to work (no fan
> reading errors logged).  Here is an example debug output:

Odd. Can you try to trace if there is any significant difference in the
i2c messages used ? Some typo I might have done somewhere ?

Something I might do at init time that puts them into a faulty state ?

I don't have one of these anymore (mine died) so I can't really test.

Cheers,
Ben.

> ** CPU 1 RPM: 300 Ex, 300, Pump: 1250, In, overtemp: 0
>   cpu 0, exhaust RPM: 300
>   cpu 0, temp raw: 023c, m_diode: 9982, b_diode: fffff799
>   temp: 52.139
>   cpu 0, current: 8.789, voltage: 1.286, power: 11.308 W
>   cpu 1, exhaust RPM: 300
>   cpu 1, temp raw: 021c, m_diode: a047, b_diode: fffff777
>   temp: 50.380
>   cpu 1, current: 8.666, voltage: 1.281, power: 11.108 W
>   power target: 55.000, error: 43.691
>   integral: 00f42f8d
>    integ_p: 10
>    adj_in_target: 65.011, ttarget: 74
>    deriv_p: -15
>    prop_p: -103
>    sum: -118
> 
> > What is the "failures" bitmask value ?
> 
> 3 for both.
> 
> Andreas.
>